<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$users=check(trim($users));

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102){
//---------------------- Форма ввода логина ------------------------------//
echo'<img src="../images/img/partners.gif" alt=""> <b>Работа с юзерами</b><br><br>';

if(!isset($action)){	
echo '<form method="post" action="users.php?action=edit&amp;'.SID.'">';
echo 'Введите логин юзера:<br>';
echo '<input type="text" name="users" maxlength="20" /><br><br>';
echo '<input value="Получить данные" type="submit" /></form><hr>';
}


//---------------------- Редактирование профиля ------------------------------//
if($action=="edit"){
if(!empty($users)){

if(file_exists("../local/profil/$users.prof")){
$text = file("../local/profil/$users.prof"); 
$udc = explode(":||:",$text[0]);

echo '<img src="../images/img/chel.gif" alt=""> Профиль юзера '.$users.'<br><br>';

if(($log!=$config_nikname) &&($users==$config_nikname)){
echo '<br>У ВАС НЕДОСТАТОЧНО ПРАВ ДЛЯ РЕДАКТИРОВАНИЯ ЭТОГО ПРОФИЛЯ!<br>';
include_once"../themes/$config_themes/foot.php"; exit;}

if(($log!=$config_nikname) && ($udc[7]==101 || $udc[7]==102 || $udc[7]==103 || $udc[7]==105)  && $log!=$users){
echo '<br>У ВАС НЕДОСТАТОЧНО ПРАВ ДЛЯ РЕДАКТИРОВАНИЯ ЭТОГО ПРОФИЛЯ!<br>';
include_once"../themes/$config_themes/foot.php"; exit;}


if($users==$log){
echo '<b><font color="red">ВНИМАНИЕ! ВЫ РЕДАКТИРУЕТЕ CОБСТВЕННЫЙ АККАУНТ!</font></b><br><br>';}

echo '<form method="post" action="users.php?action=upgrade&amp;users='.$users.'&amp;'.SID.'">';


$my_dostup=(int)$udc[7];

if ($dostup==101 && $log==$config_nikname){	
$array_dostup=array(101=>"Суперадмин", 102=>"Админ", 103=>"Старший Модер", 105=>"Модер", 107=>"Пользователь");
if($my_dostup=="0"){$my_dostup="107";}

echo 'Уровень доступа:<br>';
echo '<select name="udd7"><option value="'.$my_dostup.'">'.$array_dostup[$my_dostup].'</option>';

foreach($array_dostup as $k=>$v){
if($k!=$my_dostup){
echo '<option value="'.$k.'">'.$v.'</option>';
}}
echo '</select><br>';
}

echo 'Новый пароль: (Oставьте пустым если не надо менять)<br><input name="udd1" /><br>';
echo 'Откуда:<br><input name="udd2" value="'.$udc[2].'" /><br>';
echo 'Инфа:<br><input name="udd3" value="'.$udc[3].'" /><br>';
echo 'Е-мэил:<br><input name="udd4" value="'.$udc[4].'" /><br>';	
echo 'Сайт:<br><input name="udd5" value="'.$udc[5].'" /><br>';
echo 'Зарегистрирован:<br><input name="udd6" value="'.date("j.m.Y",check($udc[6])).'" /><br>';	
echo 'Мобила:<br><input name="udd13" value="'.$udc[13].'" /><br>';
echo 'ICQ:<br><input name="udd19" value="'.$udc[19].'" /><br>';
echo 'Имя юзера:<br><input name="udd29" value="'.$udc[29].'" /><br>';
echo 'Ник юзера:<br><input name="udd65" value="'.$udc[65].'" /><br>';
echo 'Баллов:<br><input name="udd36" value="'.$udc[36].'" /><br>';
echo 'Особый статус:<br><input name="udd40" value="'.$udc[40].'" /><br>';
echo 'Золотых монет:<br><input name="udd41" value="'.$udc[41].'" /><br>';
echo 'Встроенный аватар:<br><input name="udd43" value="'.$udc[43].'" /><br>';
echo 'Авторитет:<br><input name="udd49" value="'.$udc[49].'" /><br><br>';

if($udc[34]=="1"){echo '<b>На новости подписан </b><br>';}else{echo '<b>На новости не подписан</b><br>';}
if($udc[37]=="1" && $udc[38]>$sitetime){echo '<font color="#FF0000"><b>Юзер забанен</b></font><br>';}
if($udc[46]=="1"){echo '<font color="#FF0000"><b>Аккаунт не активирован</b></font><br>';}
echo 'Общее число банов: <b>'.(int)$udc[64].'</b><br>';
echo 'Последняя авторизация: <b>'.date_fixed($udc[44],'j F Y / H:i').'</b><br>';
echo 'IP: <b>'.$udc[14].'</b><br>';


echo '<br><input value="Изменить" type="submit" /></form><hr>';


if ($my_dostup<101 || $my_dostup>105){
echo '<img src="../images/img/error.gif" alt=""> <b><a href="users.php?action=poddel&amp;users='.$users.'&amp;'.SID.'">Удалить профиль</a></b>';}

} else {echo '<b>Ошибка, поллзователя с данным логином не существует!</b><br>';}
} else {echo '<b>Ошибка, вы не ввели логин пользователя!</b><br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="users.php?'.SID.'">Вернуться</a>';
}



//---------------------- Изменение профиля ------------------------------//
if ($action=="upgrade"){
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$udd4)){
if ($udd5=="" || preg_match('#^http://([a-z0-9_\-\.])+(\.([a-z0-9\/])+)+$#',$udd5)){
if (preg_match('#^[0-9]{1,2}+\.[0-9]{2}+\.([0-9]{2}|[0-9]{4})$#',$udd6)){
if (file_exists("../local/profil/$users.prof")) {

list($uday, $umonth, $uyear) = explode(".", $udd6); 
$usecond = mktime('0','0','0',$umonth,$uday,$uyear);
$udd6=$usecond;

//------------------------ Запись в профиль -----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile);

if ($udd1!=""){ $udata[1]=md5($udd1); }
if ($dostup==101 && $log==$config_nikname){	$udata[7]=(int)$udd7; }

$udata[2]=no_br(check($udd2));
$udata[3]=check($udd3);
$udata[4]=no_br(check(strtolower($udd4)));
$udata[5]=no_br(check($udd5));
$udata[6]=no_br(check($udd6));
$udata[13]=no_br(check($udd13));
$udata[19]=no_br(check($udd19));
$udata[29]=no_br(check($udd29));
$udata[36]=(int)$udd36;
$udata[40]=no_br(check($udd40));
$udata[41]=(int)$udd41;
$udata[43]=no_br(check($udd43));
$udata[49]=(int)$udd49;
$udata[65]=no_br(check(trim($udd65)));

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext); 
}

echo '<b>Данные юзера успешно изменены!</b><br><br>';

if($udd1!=""){
echo '<font color="#FF0000">Вы изменили пароль юзера!<br>Не забудьте ему напомнить его новый пароль: '.check($udd1).'</font> <br>';
}

echo '<a href="users.php?'.SID.'">Редактировать нового юзера</a><br>';


}else{ echo 'Пользователя с данным логином не существует!<br>';}
}else{ echo 'Неправильный формат даты регистрации, необходим (дд.мм.гггг)<br>';}
}else{ echo 'Неправильный адрес сайта, необходим формат http://site.domen<br>';}
}else{ echo 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen<br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="users.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';

}

//----------------Подтверждение удаление профиля -----------------------//
if($action=="poddel"){	
echo 'Вы подтверждаете, что хотите полностью удалить аккаунт профиля <b>'.$users.'</b>?<br><br>';

if($config_themes!="wml"){	
echo '<form action="users.php?action=deluser&amp;users='.$users.'&amp;'.SID.'" method="post">';

echo '<b>Добавить в черный список:</b><br><br>';
echo 'E-mail: <input name="mailblack" type="checkbox" value="1"  checked><br>';
echo 'Логин: <input name="loginblack" type="checkbox" value="1"  checked><br>';

echo '<br><input type="submit" value="Удалить профиль" /></form><hr>';

}else{
echo '<b>Добавить в черный список:</b><br>';
echo 'E-mail: <select name="mailblack">';
echo '<option value="1">Да</option>';
echo '<option value="0">Нет</option>';
echo '</select><br>';

echo 'Логин:  <select name="loginblack">';
echo '<option value="1">Да</option>';
echo '<option value="0">Нет</option>';
echo '</select><br>';

echo '<anchor>Удалить профиль';
echo '<go href="users.php?action=deluser&amp;users='.$users.'&amp;'.SID.'" method="post">';
echo '<postfield name="mailblack" value="$(mailblack)"/>';
echo '<postfield name="loginblack" value="$(loginblack)"/>';
echo '</go></anchor><br>--------------------<br>';

}


echo '<br><img src="../images/img/back.gif" alt=""> <a href="users.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';
}

//---------------------- Удаление профиля ------------------------------//
if($action=="deluser"){
if($users!=$config_nikname){
	
if(file_exists(BASEDIR."local/profil/$users.prof")){
$text = file_get_contents(BASEDIR."local/profil/$users.prof"); 
$udc = explode(":||:",$text);	
	
if($udc[7]<101 || $udc[7]>105){

//------------------------- Черный список e-mail -------------------------------//
if(isset($_POST['mailblack']) && $_POST['mailblack']==1){
$filem = file(BASEDIR."local/blackmail.dat","a+");
foreach($filem as $valuem){
$datam=explode("|",$valuem);
$arraymail[]=$datam[1];
}

if(!in_array($udc[4],$arraymail)){
$textmail='|'.$udc[4].'|'.$sitetime.'|';

if($textmail!="" && $udc[4]!=""){
$fpm = fopen(BASEDIR."local/blackmail.dat","a+");
flock ($fpm,LOCK_EX);
fputs($fpm,"$textmail\r\n");
fflush ($fpm);
flock ($fpm,LOCK_UN);
fclose($fpm);
}}}

//--------------------------- Черный список логинов -----------------------------//
if(isset($_POST['loginblack']) && $_POST['loginblack']==1){
$filel = file(BASEDIR."local/blacklogin.dat","a+");
foreach($filel as $valuel){
$datal=explode("|",$valuel);
$arraylogin[]=$datal[1];
}

if(!in_array($udc[0],$arraylogin)){
$textlogin='|'.$udc[0].'|'.$sitetime.'|';

if($textlogin!="" && $udc[0]!=""){
$fpl = fopen(BASEDIR."local/blacklogin.dat","a+");
flock ($fpl,LOCK_EX);
fputs($fpl,"$textlogin\r\n");
fflush ($fpl);
flock ($fpl,LOCK_UN);
fclose($fpl);
}}}

delete_users($users);

echo 'Профиль пользователя успешно удален!<br>';

echo '<br><img src="../images/img/back.gif" alt=""> <a href="users.php?'.SID.'">Редактировать нового юзера</a><br>';

}else{echo '<img src="../images/img/error.gif" alt=""> Ошибка, у вас недостаточно прав для удаления этого профиля<br>';}
}else{echo '<img src="../images/img/error.gif" alt=""> Ошибка, пользователя с данным логином не существует!<br>';}
}else{echo '<img src="../images/img/error.gif" alt=""> Ошибка, нельзя удалять профиль суперадмина!<br>';}

}

echo '<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
